Audit an entity
curl --request GET \
--url https://sandbox.tight.com/v6/auditTrail/{entityId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/auditTrail/{entityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/auditTrail/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "aud_28868401",
"company": {
"id": "co_28868401",
"name": "Acme Corp"
},
"editor": {
"id": "emp_28868401",
"userId": "usr_28868401",
"email": "editor@example.com"
},
"action": "UPDATE",
"datetime": "2023-11-07T05:31:56Z",
"revisions": [
{
"internal_key": "some_internal_key",
"some_other_field": 23434
}
]
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Audit Trail
Audit an entity
Retrieve the Audit Trail for an entity in the Tight API
GET
/
v6
/
auditTrail
/
{entityId}
Audit an entity
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes
⌘I